Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002579Zandronum[All Projects] Bugpublic2016-01-16 13:532018-09-30 21:40
ReporterIvan 
Assigned ToEdward-san 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version2.2Fixed in Version2.2 
Summary0002579: Player *gasp sound plays on respawn
DescriptionSimply, join an online game and you'll hear your gasp sound play when you respawn in any game mode. I think this will apply to any online game when you join.

Minimal example wad:https://www.dropbox.com/s/n7meo3qhuloyjhg/drowntest.pk3?dl=0 [^]
Steps To Reproduce- Make a local server.
- Join the game and hear the sound.
Attached Files

- Relationships

-  Notes
User avatar (0014099)
StrikerMan780 (reporter)
2016-01-17 10:11

I can confirm. This has plagued one of my mods for years.
User avatar (0014109)
Edward-san (developer)
2016-01-17 18:11

https://bitbucket.org/Torr_Samaho/zandronum-stable/pull-requests/20/ [^]
User avatar (0014175)
cobalt (updater)
2016-01-24 14:24

Issue addressed by commit 257f7f57f236: - Fixed: The player drowning code was not handled properly online (fixes 2579).
Committed by Edoardo Prezioso [edward-san] on Wednesday 31 December 1969 23:59:57

Changes in files:

 docs/zandronum-history.txt | 1 +
 src/cl_main.cpp | 1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

User avatar (0014269)
Ru5tK1ng (updater)
2016-01-31 21:57

I respawned many times in coop, dm, lms, and ctf with the latest build and didn't hear any gasping sound.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: StrikerMan780
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-01-16 13:53 Ivan New Issue
2016-01-17 10:11 StrikerMan780 Note Added: 0014099
2016-01-17 17:11 Edward-san Assigned To => Edward-san
2016-01-17 17:11 Edward-san Status new => assigned
2016-01-17 18:11 Edward-san Note Added: 0014109
2016-01-17 18:11 Edward-san Status assigned => needs review
2016-01-24 14:24 cobalt Status needs review => needs testing
2016-01-24 14:24 cobalt Target Version => 2.2
2016-01-24 14:24 cobalt Description Updated View Revisions
2016-01-24 14:24 cobalt Steps to Reproduce Updated View Revisions
2016-01-24 14:24 cobalt Note Added: 0014175
2016-01-31 21:57 Ru5tK1ng Note Added: 0014269
2016-01-31 22:49 Dusk Status needs testing => resolved
2016-01-31 22:49 Dusk Fixed in Version => 2.2
2016-01-31 22:49 Dusk Resolution open => fixed
2016-01-31 22:49 Dusk Product Version 3.0-beta => 2.1
2016-01-31 22:49 Dusk Description Updated View Revisions
2016-01-31 22:49 Dusk Steps to Reproduce Updated View Revisions
2018-09-30 21:40 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker